# dkim_sig_getdnssec()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_DNSSEC dkim_sig_getdnssec(
    	DKIM_SIGINFO *sig
    );

Retrieve DNSSEC information about the DNS query that was used to retrieve the key matching a signature. The value returned is a `DKIM_DNSSEC` constant.

DESCRIPTION

Called When | `dkim_sig_getdnssec()` is called after `dkim_eoh()` to determine whether or not DNSSEC was used to retrieve the key matching the provided signature, and if so, whether or not the returned value was legitimate.

ARGUMENTS

Argument | Description
--- | ---
sig | The `DKIM_SIGINFO` handle representing the signature being evaluated.

NOTES

- None.

Copyright (c) 2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.